classification
Title: Outdated comments in build_ssl.py
Type: Stage:
Components: Build Versions: Python 3.2, Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gregory.p.smith, jeremy.kloth, jkloth, loewis
Priority: normal Keywords: patch

Created on 2012-06-12 17:17 by jkloth, last changed 2013-03-24 21:55 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
build_ssl.patch jkloth, 2012-06-18 18:59
Messages (10)
msg162687 - (view) Author: Jeremy Kloth (jkloth) * Date: 2012-06-12 17:17
The comment regarding a Perl installation not being required is no longer true with regards to OpenSSL 1.0+ (at least 1.0.0j and 1.0.1c).  A Perl script(s) is used to generate source files within the generated Makefiles.

I would suggest to remove the outdated and misleading comment.
msg162725 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-06-13 19:31
The comment is correct. The sources are not.
msg162901 - (view) Author: Jeremy Kloth (jeremy.kloth) Date: 2012-06-15 14:04
I would suggest trying to build OpenSSL (build_ssl.py) *without* Perl
installed.  On Windows (7,64-bit at least) a dialog box pops up many
times asking which program to use to run XXX.pl.

This is using the externals from svn.python.org.
msg163103 - (view) Author: Jeremy Kloth (jkloth) * Date: 2012-06-18 14:53
In addition to the fixes from issue15102, the only way I could get the ssl project to build successfully was to add the Perl installation (C:\Perl\bin) to my PATH.
msg163104 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-06-18 14:55
Again: installing Perl should not be necessary. That it is currently necessary is a bug in the sources.
msg163105 - (view) Author: Jeremy Kloth (jeremy.kloth) Date: 2012-06-18 15:02
Should I then open another issue just to track that bug?  Have you
even tried using build_ssl.py *without* Perl?  The changes required to
get that to work seem fairly extensive.
msg163114 - (view) Author: Jeremy Kloth (jkloth) * Date: 2012-06-18 18:59
OK, I have discovered my issue(s) building OpenSSL.  When I first downloaded the openssl-1.0.1c external, the timestamps for the .asm files ended up being older than their corresponding .pl sources therefore triggering the rules in the makefile.

I then decided to fix those Perl related issues by installing ActivePerl but *without* having it added to my PATH (as build_ssl.py finds it in the default location).  This causes build_ssl.py to no longer use the generated .asm files as a Perl executable has been found (line 221).

The attached patch ensures that the Perl executable is actually runnable.
msg163116 - (view) Author: Jeremy Kloth (jkloth) * Date: 2012-06-18 19:00
I forgot to add that with the patch the comment wrt Perl is truly correct.
msg163125 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-06-18 21:42
> Should I then open another issue just to track that bug?  Have you
> even tried using build_ssl.py *without* Perl?  The changes required to
> get that to work seem fairly extensive.

The 3.3 tree works fine for me without Perl, I'm confident that changing
the other trees will be trivial. I just haven't found the time to do
that.

No need to open other bug reports; I'm aware of the issue.
msg185162 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2013-03-24 21:55
This is now fixed, with 1.0.0k and 1.0.1d
History
Date User Action Args
2013-03-24 21:55:52loewissetstatus: open -> closed
resolution: fixed
messages: + msg185162
2012-06-18 21:42:39loewissetmessages: + msg163125
2012-06-18 19:00:59jklothsetmessages: + msg163116
2012-06-18 18:59:17jklothsetfiles: + build_ssl.patch
keywords: + patch
messages: + msg163114
2012-06-18 15:02:49jeremy.klothsetmessages: + msg163105
2012-06-18 14:55:57loewissetmessages: + msg163104
2012-06-18 14:53:45jklothsetmessages: + msg163103
2012-06-15 14:04:36jeremy.klothsetnosy: + jeremy.kloth
messages: + msg162901
2012-06-13 19:31:37loewissetmessages: + msg162725
2012-06-13 00:27:13pitrousetnosy: + loewis, gregory.p.smith
2012-06-12 17:17:05jklothcreate